part of '../flutterx_live_data.dart';

/// A [LiveData] mixin which value is initialized only when it's active
mixin LazyMixin<T> on LiveData<T> {
  /// Value initializer
  ValueGetter<FutureOr<T>> get initializer;

  @override
  void onActive() {
    super.onActive();
    if (!initialized) postData(initializer());
  }
}
